Поддержка Проблемы и решения Проблемы совместимости темы и php 7.4

  • Плагин query monitor пишет об ошибках в данных строчках:

    Undefined offset: 0
    Trying to get property 'cat_ID' of non-object
    $category_id = $categories[0]->cat_ID;
    
    Function create_function() is deprecated
    add_filter( 'loop_shop_per_page', create_function( '$cols', 'return 12;' ), 20 );
    
    Function create_function() is deprecated -
    add_filter( 'loop_shop_per_page', create_function( '$cols', 'return 30;' ), 20 );
Просмотр 4 ответов — с 1 по 4 (всего 4)
  • Модератор Yui

    (@fierevere)

    ゆい

    а тему назвать совсем никак?
    а еще у темы наверняка есть автор, и сообщить автору о проблемах совместимости его темы и PHP 7.4 будет гораздо продуктивнее.

    Там до меня делали из нескольких тем.

    Модератор Yui

    (@fierevere)

    ゆい

    ну тогда соберитесь с трубкой мира вокруг мангала и совместно исправляйте, что вам еще сказать… ну разве что это

    правила форума п9

    Ternikov, привет.

    С PHP 5.6 перешли на 7.4, да?

    Даже если вы с PHP не знакомы, то оба вопроса легко гуглятся 🙂

Просмотр 4 ответов — с 1 по 4 (всего 4)